﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace KB9964_XamDataGrid_AddingRowSeparator_WpfApp1.Infrasgructure;

internal class ObservableObject : INotifyPropertyChanged
{
    protected ObservableObject()
    {

    }

    public event PropertyChangedEventHandler? PropertyChanged;

    protected virtual void OnPropertyChanged([CallerMemberName] String? propertyName = null)
    {
        PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
    }

}